com.explodingpixels.macwidgets.plaf

## Class HudCheckBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI
          - - javax.swing.plaf.basic.BasicCheckBoxUI
            - - com.explodingpixels.macwidgets.plaf.HudCheckBoxUI

    public class HudCheckBoxUI
    extends BasicCheckBoxUI

Creates a Heads Up Display (HUD) style check box button, similar to that seen in various iApps (e.g. iPhoto).

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

`icon`

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

### Constructor Summary

Constructors
Constructor and Description
`HudCheckBoxUI()`

### Method Summary

Methods
`protected void` `installDefaults(AbstractButton b)`
`void` `paint(Graphics g, JComponent c)`
`protected void` `paintText(Graphics g, JComponent c, Rectangle textRect, String text)`

### Methods inherited from class javax.swing.plaf.basic.BasicCheckBoxUI

`createUI, getPropertyPrefix`

### Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

`getDefaultIcon, getPreferredSize, paintFocus, uninstallDefaults`

### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

`getTextShiftOffset, paintIcon`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installListeners, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HudCheckBoxUI

    public HudCheckBoxUI()

### Method Detail

#### installDefaults

    protected void installDefaults(AbstractButton b)

Overrides:
  `installDefaults` in class `BasicRadioButtonUI`

#### paint

    public void paint(Graphics g,
             JComponent c)

Overrides:
  `paint` in class `BasicRadioButtonUI`

#### paintText

    protected void paintText(Graphics g,
                 JComponent c,
                 Rectangle textRect,
                 String text)

Overrides:
  `paintText` in class `BasicButtonUI`